Bug 966510 - Partitioning asks for password twice
Partitioning asks for password twice
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mulhern
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1017330
  Show dependency treegraph
 
Reported: 2013-05-23 07:46 EDT by Petr Schindler
Modified: 2015-02-18 08:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1017330 (view as bug list)
Environment:
Last Closed: 2015-02-18 08:54:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2013-05-23 07:46:00 EDT
Description of problem:
On Beta RC4 live. Anaconda asks form password for disk encryption twice. Firstly after I clicked on continue in installation option window (I had chosen encryption and review/modify my disks). Secondly after I clicked on done in manual partitioning (after I made partitions).

Version-Release number of selected component (if applicable):
anaconda-19-30-1
Live 64bit Beta RC4

How reproducible:
always

Steps to Reproduce:
1. go to installation destination
2. choose to encrypt your disk and to review/modify your disk and click on continue
3. write password and save it
4. Create partitions a and click on partitions and click on done

Actual results:
Anaconda asks for the password second time

Expected results:
Anaconda should ask for the password only once

Additional info:
Comment 2 David Lehman 2013-10-08 11:52:12 EDT
Is the passphrase not pre-populated the second time through? It should be. The intention is to ask every time you leave the custom storage interface, but to pre-fill the current passphrase if one has already been set.
Comment 3 mulhern 2013-10-08 14:44:14 EDT
It is pre-populated when you hit it the second time.
Comment 4 David Lehman 2013-10-08 14:58:09 EDT
Oh, I see the problem. We shouldn't be prompting for the passphrase when leaving the storage spoke if the user elected to proceed to the custom spoke.

I'm butting out now.
Comment 5 mulhern 2013-10-18 12:09:32 EDT
Pushed to fedora 20 and master.
Comment 6 mulhern 2013-10-21 11:13:52 EDT
Reverted the commit because:

This change caused the opposite problem; sometimes the user is not prompted
for a LUKS password even when they ought to be. This causes a failure on the
Progress hub.

In any case, it seems that the place to prompt a user for the password should
possibly be somewhere else than on_back_clicked in StorageSpoke or CustomSpoke.
Ideally it should be later...on a spoke right after the user has pressed Begin
Install. That way, instead of taking into consideration where the user is going
and what screens they might possibly hit, the code need only account for the
choice the user has ultimately made: to encrypt or not.
Comment 7 David Tonhofer 2014-05-07 13:16:21 EDT
This bug is present in Fedora 20 too. The second dialog has some password already filled in. Very confusing.

[Additionally, there should be an option to "see cleartext password" which one sees being reasonably applied to various applications nowadays; in an installer application this seems of paramount importance - no sense worrying about shoulder surfing or van Eek phreaking in this context when correct keyboard status cannot even be ascertained]
Comment 8 Fedora End Of Life 2015-01-09 17:07:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:54:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.